﻿// DZ_16_5.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//
#define _CRT_SECURE_NO_WARNINGS
#include <ctime>
#include <iostream>



int main()
{
    std::time_t t = std::time(0);
    std::tm* now = std::localtime(&t);
    std::cout << "day " << (now->tm_mday) << "\n";

    const int N = 12;

    int Array[N][N];
    int sum = 0;
    for (int i = 0; i < N; i++) 
    {

        for (int j = 0; j < N; j++)
        {
            Array[i][j] = i+j;

            if(i == now->tm_mday %N)
            {
                sum += Array[i][j];
            }        
            
            if(j==N-1)
            {
                std::cout << Array[i][j]<<"\n"; 
            }
            else 
            {
                std::cout << Array[i][j]<<" ";
                if(Array[i][j]<10)
                    std::cout <<  " ";
            }
        }
    }

    std::cout <<"sum = " << sum << "\n";
 
}

// Запуск программы: CTRL+F5 или меню "Отладка" > "Запуск без отладки"
// Отладка программы: F5 или меню "Отладка" > "Запустить отладку"

// Советы по началу работы 
//   1. В окне обозревателя решений можно добавлять файлы и управлять ими.
//   2. В окне Team Explorer можно подключиться к системе управления версиями.
//   3. В окне "Выходные данные" можно просматривать выходные данные сборки и другие сообщения.
//   4. В окне "Список ошибок" можно просматривать ошибки.
//   5. Последовательно выберите пункты меню "Проект" > "Добавить новый элемент", чтобы создать файлы кода, или "Проект" > "Добавить существующий элемент", чтобы добавить в проект существующие файлы кода.
//   6. Чтобы снова открыть этот проект позже, выберите пункты меню "Файл" > "Открыть" > "Проект" и выберите SLN-файл.
